#include <iostream> 
using namespace std;
int main(){
	int n;
	cin>>n;
	int a[n];
	int max,rd;
	bool t=false,arr=true;
	for(int i=0;i<n;i++)
		cin>>a[i];
	for(int i=0;i<n;i++){
		if(t)
			break;
		max=a[i];
		rd=i;
		for (int j = i+1; j < n; j++)
        	if (a[j] > max){
            	max = a[j];
            	rd=j;
			}
    for(int k=0;k<n;k++){
    		int pom;
			if(k>rd)
    			break;
    		if(a[k]<max){
    			int pom=a[k];
    			a[k]=max;
    			a[rd]=pom;
    			t=true;
    			arr=false;
    			break;
			}
	}
}
	if(arr){
		int pom;
		pom=a[n-1];
		a[n-1]=a[n-2];
		a[n-2]=pom;
	}
	for(int i=0;i<n;i++)
		cout<<a[i]<<' ';

}